Skip to main content
GET
/
webhooks
List webhooks
curl --request GET \
  --url https://api.timeless.day/v1/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "whk_abc123",
    "url": "https://example.com/webhooks/timeless",
    "events": [
      "meeting.transcript_ready"
    ],
    "enabled": true,
    "created_at": "2025-01-15T12:00:00Z",
    "updated_at": "2025-01-15T12:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

API token from your Timeless dashboard.

Response

A list of webhooks.

id
string
required

Webhook ID.

Example:

"whk_abc123"

url
string
required

The registered URL.

events
enum<string>[]
required

Subscribed events.

Available options:
meeting.transcript_ready,
meeting.initial_summary_ready
enabled
boolean
required

Whether the webhook is active.

created_at
string<date-time>
required

ISO 8601 timestamp.

updated_at
string<date-time>
required

ISO 8601 timestamp.